Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri
Class JXPathContextFactoryReferenceImpl

    java.lang.Object
      org.apache.commons.jxpath.JXPathContextFactory
          org.apache.commons.jxpath.ri.JXPathContextFactoryReferenceImpl

    public class JXPathContextFactoryReferenceImpl

extends JXPathContextFactory

Default implementation of JXPathContextFactory.

Version:
  $Revision: 652845 $ $Date: 2008-05-02 12:46:46 -0500 (Fri, 02 May 2008) $
Author:
  Dmitri Plotnikov

Field Summary

Fields inherited from class org.apache.commons.jxpath.JXPathContextFactory
`FACTORY_NAME_PROPERTY`

Constructor Summary
`JXPathContextFactoryReferenceImpl()` Create a new JXPathContextFactoryReferenceImpl.

Method Summary
`JXPathContext` | `newContext(JXPathContext parentContext, Object contextBean)` Creates a new instance of a JXPathContext using the currently configured parameters.

Methods inherited from class org.apache.commons.jxpath.JXPathContextFactory
`newInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JXPathContextFactoryReferenceImpl

    public JXPathContextFactoryReferenceImpl()

  Create a new JXPathContextFactoryReferenceImpl.

Method Detail

### newContext

    public JXPathContext newContext(JXPathContext parentContext,
                                    Object contextBean)

  Description copied from class: `JXPathContextFactory`
  Creates a new instance of a JXPathContext using the currently configured parameters.

  Specified by:
    `newContext` in class `JXPathContextFactory`
  Parameters:
    `parentContext` - parent context
    `contextBean` - Object bean
  Returns:
    JXPathContext

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.